# CopyToClipboard Web Component

This is a web component that handles copying text to the system clipboard.

## Properties

| Name           | Type    | Description                                                                                                                                              |
| -------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `copydata`     | string  | The text to be copied to the system clipboard.                                                                                                           |
| `internallink` | boolean | Represents whether the `copydata` is a reference to an internal link to determine if the window's origin should be prepended to it. Defaults to `false`. |
| `label`        | string? | Optional label to display in the button. Defaults to `undefined`.                                                                                        |

## Methods

| Name     | Params | Description                                    |
| -------- | ------ | ---------------------------------------------- |
| `copy()` | none   | Copies the `copydata` to the system clipboard. |

## States

| Name                          | Description                                                                                            |
| ----------------------------- | ------------------------------------------------------------------------------------------------------ |
| `btu-copy-to-clipbard-copied` | Indicates that the `copydata` was recently copied to the system clipboard. Resets after a few seconds. |
